import * as ec2 from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
import { Stack, StackProps } from 'aws-cdk-lib';
export declare type CDKLambdaDeployerProps = {
    githubRepoOwner: string;
    githubRepoName: string;
    githubRepoSubFolder?: string;
    cldOutputFolder: string;
    githubRepoBranch?: string;
    githubTokenSecretId: string;
    lambdaSubnets?: ec2.ISubnet[];
    lambdaSecurityGroups?: ec2.SecurityGroup[];
};
export declare type CDKLambdaDeployerStackProps = StackProps & CDKLambdaDeployerProps;
export declare class CDKLambdaDeployerStack extends Stack {
    constructor(scope: Construct, id: string, props: CDKLambdaDeployerStackProps);
}
export declare class CDKLambdaDeployerConstruct extends Construct {
    constructor(scope: Construct, id: string, props: CDKLambdaDeployerProps);
}
