import MainConstruct, { MainConstructProps } from '../../context/main-construct';
import { Construct } from 'constructs';
import { ISubnet } from 'aws-cdk-lib/aws-ec2';
export declare type CodeBuildProjectsConstructProps = MainConstructProps & {
    githubRepoSubFolder?: string;
    cldOutputFolder: string;
    subnets: ISubnet[];
    securityGroupIds: string[];
};
export declare class CodeBuildProjectsConstruct extends MainConstruct {
    constructor(scope: Construct, id: string, props: CodeBuildProjectsConstructProps);
}
